import { jsx } from "react/jsx-runtime";
import { TokenFLOOR as TokenFLOOR$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenFLOOR = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "FLOOR", "data-name": "TokenFLOOR", ...props, children: /* @__PURE__ */ jsx(TokenFLOOR$1, { variant }) });
  }
);
TokenFLOOR.displayName = "TokenFLOOR";
Object.assign(TokenFLOOR, { isGdsIcon: true });
export {
  TokenFLOOR
};
